Drop obsolete pm-utils from Ubuntu

Bug #1646036 reported by Martin Pitt on 2016-11-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kubuntu-meta (Ubuntu)
Undecided
Unassigned
lubuntu-meta (Ubuntu)
Undecided
Unassigned
plainbox-provider-checkbox (Ubuntu)
Undecided
Sylvain Pineau
powernap (Ubuntu)
Undecided
Dustin Kirkland 
ubuntustudio-meta (Ubuntu)
Undecided
Martin Pitt
xubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

pm-utils has been dead upstream for many many years, and in Ubuntu we stopped using it since Ubuntu 15.04. However, confusingly we still install it by default as plainbox-provider-checkbox recommends it.

Please drop this recommends. It's completely useless in Ubuntu, and for Debian it would only actually do anything with sysvinit. But there systemd-shim already Suggests: it. This is also enough, as these days drivers got fixed to work without the pm-utils suspend quirks.

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: plainbox-provider-checkbox 0.25-1
ProcVersionSignature: Ubuntu 4.8.0-29.31~lp1626436ProposedWithTwoPatches-generic 4.8.8
Uname: Linux 4.8.0-29-generic x86_64
ApportVersion: 2.20.3-0ubuntu8
Architecture: amd64
CurrentDesktop: i3
Date: Wed Nov 30 09:59:35 2016
EcryptfsInUse: Yes
SourcePackage: plainbox-provider-checkbox
UpgradeStatus: No upgrade log present (probably fresh install)

Martin Pitt (pitti) wrote :
Martin Pitt (pitti) wrote :

This also affects powernap, aside from meta packages this is the only remaining pm-utils reverse dependency.

summary: - Drop useless Recommends: pm-utils
+ Drop obsolete pm-utils from Ubuntu
Martin Pitt (pitti) wrote :

.. but powernap actually uses pm-utils commands all over the place, so this would need to be ported properly to either "systemctl suspend" and friends (preferred) or directly talk to /sys/power/state (but this would prevent userspace inhibitors to work).

Changed in kubuntu-meta (Ubuntu):
status: New → Fix Committed
Changed in lubuntu-meta (Ubuntu):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

core-dev cannot commit to the ubuntustudio seeds, so I sent a MP.

Changed in ubuntustudio-meta (Ubuntu):
status: New → In Progress
Changed in xubuntu-meta (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-meta - 0.73

---------------
lubuntu-meta (0.73) zesty; urgency=medium

  * Switch to zesty seeds.
  * Refreshed dependencies
  * Added lxhotkey-gtk to desktop
  * Added lxhotkey-plugin-openbox to desktop
  * Removed pm-utils from desktop, desktop-qt (LP: #1646036)
  * Removed system-config-printer-gnome from desktop

 -- Martin Pitt <email address hidden> Wed, 30 Nov 2016 10:51:00 +0100

Changed in lubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-meta - 1.346

---------------
kubuntu-meta (1.346) zesty; urgency=medium

  * Refreshed dependencies
  * Removed pm-utils from desktop, full (LP: #1646036)

 -- Martin Pitt <email address hidden> Wed, 30 Nov 2016 10:51:26 +0100

Changed in kubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xubuntu-meta - 2.209

---------------
xubuntu-meta (2.209) zesty; urgency=medium

  * Switch to zesty seeds.
  * Refreshed dependencies
  * Removed indicator-sound from core-recommends [s390x], desktop-
    recommends [s390x]
  * Removed pm-utils from core, desktop (LP: #1646036)

 -- Martin Pitt <email address hidden> Wed, 30 Nov 2016 10:52:02 +0100

Changed in xubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-12-04
Changed in plainbox-provider-checkbox (Ubuntu):
assignee: nobody → Zygmunt Krynicki (zyga)
Changed in powernap (Ubuntu):
assignee: nobody → Dustin Kirkland  (kirkland)
Changed in ubuntustudio-meta (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) on 2016-12-06
Changed in ubuntustudio-meta (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntustudio-meta - 0.163

---------------
ubuntustudio-meta (0.163) zesty; urgency=medium

  * Switch to zesty seeds.
  * Refreshed dependencies
  * Added firefox to desktop-recommends [ppc64el]
  * Added krita to graphics-recommends
  * Added system-config-printer to desktop-recommends
  * Removed blender from graphics-recommends [ppc64el], video-recommends
    [ppc64el]
  * Removed indicator-sound from desktop-core-recommends [s390x],
    desktop-recommends [s390x]
  * Removed pm-utils from desktop, desktop-core (LP: #1646036)
  * Removed slv2-doc from audio-plugins-recommends
  * Removed slv2-jack from audio-plugins-recommends
  * Removed system-config-printer-gnome from desktop-recommends

 -- Martin Pitt <email address hidden> Tue, 06 Dec 2016 09:16:44 +0100

Changed in ubuntustudio-meta (Ubuntu):
status: Fix Committed → Fix Released
Sylvain Pineau (sylvain-pineau) wrote :

For plainbox-provider-checkbox, the patch removing pm-utils has just been accepted in unstable (0.25-2) [1].

A sync should happen shortly in ubuntu.

[1] https://packages.debian.org/source/unstable/plainbox-provider-checkbox

Changed in plainbox-provider-checkbox (Ubuntu):
assignee: Zygmunt Krynicki (zyga) → Sylvain Pineau (sylvain-pineau)
status: New → In Progress

https://launchpad.net/ubuntu/+source/plainbox-provider-checkbox/0.25-2 is in ubuntu. Marking the bug Fix released for plainbox-provider-checkbox.

Changed in plainbox-provider-checkbox (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers